
  <h1>
    ##LG_SYSTEMSTATUS##
    [<a href="javascript:quickhelp('LG_QH_SYSTEMSTATUS');">?</a>]
  </h1>

  <table id="datatable" 
         width="100%">

    {cycle values="row1,row2" 
           print=false 
           advance=false
           name=server-info}

    <tr id="datatable_header">
      <td class="left">##LG_METRIC##</td>
      <td>##LG_STATUS##</td>
    </tr>

    <tr class="{cycle name=server-info} ruler">
      <td width="15%" nowrap>
        ##LG_INTERWORX_VERSION##:
      </td>
      <td>
        {$iw_version.name}
        v{$iw_version.number}
        [{$iw_version.domain} ##LG_DOMAIN##]
        {if $iw_version.vps neq ''}
          VPS
        {/if}
        {if $iw_version.ha neq ''}
          HA
        {/if}
      </td>
    </tr>

    <tr class="{cycle name=server-info} ruler">
      <td width="15%" nowrap>
        ##LG_SITEWORX_ACCOUNTS##:
      </td>
      <td>
        {if $iw_is_reseller neq true}
          {$iw_total_accounts} / 
          {if $iw_licensed_accounts eq $iw_unlimited_val}
            ##LG_UNLIMITED##
          {else}
            {$iw_licensed_accounts}
          {/if}
        {else}
          {$iw_accounts_used} / 
          {if $iw_accounts_allowed eq $iw_unlimited_val}
            ##LG_UNLIMITED##
          {else}
            {$iw_accounts_allowed}
          {/if}
        {/if}
        ##LG_USED##
      </td>
    </tr>

    {if $iw_sysinfo.distro neq '' &&
        $iw_sysinfo.distro neq 'N.A.'}
      <tr class="{cycle name=server-info} ruler">
        <td>
          ##LG_DISTRIBUTION##:
        </td>
        <td>
          {$iw_sysinfo.distro}
        </td>
      </tr>
    {/if}

    <tr class="{cycle name=server-info} ruler">
      <td>
        ##LG_OPSYSTEM##:
      </td>
      <td>
        {$iw_sysinfo.kernel}
      </td>
    </tr>

    <tr class="{cycle name=server-info} ruler">
      <td>
        ##LG_CPU##:
      </td>
      <td>
        <a href="rrd.php?mode=history&service=cpu&graph=usage">
          {if $iw_sysinfo.cpu.cpus gt 1}
            [{$iw_sysinfo.cpu.cpus}x]
          {/if}
          {$iw_sysinfo.cpu.mhz}Mhz
          {$iw_sysinfo.cpu.model}
          ({$iw_sysinfo.cpu.cache} ##LG_CACHE##)
        </a>
      </td>
    </tr>

    <tr class="{cycle name=server-info} ruler">
      <td>
        ##LG_SYSTEMMEMORY##:
      </td>
      <td>
        <a href="rrd.php?mode=history&service=memory&graph=usage">
          {math equation="x / 1024" x=$iw_sysinfo.memory.ram.total format="%.2f"} ##LG_MB##
        </a>
      </td>
    </tr>

    <tr class="{cycle name=server-info}">
      <td>
        ##LG_UPTIME##:
      </td>
      <td>
        {$iw_sysinfo.uptime}
      </td>
    </tr>

    <tr class="{cycle name=server-info} ruler">
      <td>
      ##LG_LOADAVERAGE##:
      </td>
      <td>
        <a href="rrd.php?mode=history&service=loadavg&graph=usage">
          {$iw_sysinfo.loadavg.0}
          {$iw_sysinfo.loadavg.1}
          {$iw_sysinfo.loadavg.2}
        </a>
      </td>
    </tr>

    <tr class="{cycle name=server-info} ruler">
      <td>
        ##LG_USERSLOGGEDIN##:
      </td>
      <td>
        <a href="siteworx.php?mode=shell">
          {$iw_sysinfo.users}
        </a>
      </td>
    </tr>

    <tr class="{cycle name=server-info}">
      <td>
      ##LG_DISKUSAGE##:
      </td>
      <td>
        <table id="datatable_l2" width="100%">
          <tr id="datatable_l2_header">
            <td>##LG_MOUNTPOINT##</td>
            <td>##LG_PARTITION##</td>
            <td>##LG_PERCENT_USED##</td>
            <td>##LG_FREE_SPACE##</td>
          </tr>

          {foreach from=$iw_sysinfo.filesystems item=fs}
            {if $fs.disk neq "none"}
              <tr>
                <td>{$fs.mount}</td>
                <td>{$fs.disk}</td>
                <td class="center">{$fs.percent}</td>
                {if is_numeric( $fs.size )}
                 <td>{math equation="(x - y) / 1000000" x=$fs.size y=$fs.used format="%.2f"} GB</td>
                {else}
                <td>n/a</td>
                {/if}
              </tr>
            {/if}
          {/foreach}
        </table>
      </td>
    </tr>
  </table>
